<template>
  <q-form class="q-pa-xl relative-center" style="padding-top: 50px">
     <h4 class="text-weight-bolder text-center">
       Dashboard
     </h4>
     <div class="row q-pa-md" style="padding: 10px">
       <div class="col-6">
         <div class="q-pa-md">
            <div class="q-gutter-y-md" style="max-width: 600px">
              <q-card>
                <q-tabs
                  v-model="tab"
                  dense
                  class="text-grey"
                  active-color="primary"
                  indicator-color="primary"
                  align="justify"
                  narrow-indicator
                >
                  <q-tab name="tabs" label="Borrwed Items" />
                </q-tabs>

                <q-separator />

                <q-tab-panels v-model="tab" animated>
                  <q-tab-panel name="tabs">
                    <div class="text-h1 text-center">{{mobile_phones.length}}</div>
                  </q-tab-panel>
                </q-tab-panels>
              </q-card>
            </div>
          </div>
       </div>
       <div class="col-6">
         <div class="q-pa-md">
            <div class="q-gutter-y-md" style="max-width: 600px">
              <q-card>
                <q-tabs
                  v-model="tab"
                  dense
                  class="text-grey"
                  active-color="primary"
                  indicator-color="primary"
                  align="justify"
                  narrow-indicator
                >
                  <q-tab name="tabs" label="Available Items" />
                </q-tabs>

                <q-separator />

                <q-tab-panels v-model="tab" animated>
                  <q-tab-panel name="tabs">
                    <div class="text-h1 text-center">{{mobile_phones.length+laptops.length}}</div>
                  </q-tab-panel>
                </q-tab-panels>
              </q-card>
            </div>
          </div>
       </div>
     </div>
  </q-form>
</template>

<script>
import axios from 'axios'
export default {
  data () {
    return {
      tab: 'tabs',
      mobile_phones: [],
      laptops: []
    }
  },
  async created () {
    // axios.get('http://localhost:1337/mobiles')
    //   .then(response => {
    //     // JSON responses are automatically parsed.
    //     this.mobiles = response.data
    //   })
    //   .catch(e => {
    //     this.errors.push(e)
    //   })
    // async / await version (created() becomes async created())
    try {
      const response = await axios.get('http://localhost:1337/mobile-phones')
      this.mobile_phones = response.data
      const response1 = await axios.get('http://localhost:1337/laptops')
      this.laptops = response1.data
    } catch (e) {
      this.errors.push(e)
    }
  }
}
</script>

<style>

</style>
